## obs-service-git-buildpackage 0.10

=== tests/data/Makefile ===
all:
	@echo "Building version $(TEST_PKG_VERSION)"
	@echo "$(TEST_PKG_VERSION)" > VERSION

install:
	@echo "Installing files"

=== debian/changelog ===
obs-service-git-buildpackage (0.10) unstable; urgency=low
  * Use dh_python2 instead dh_pysupport for xUbuntu_19.10
 -- Jiankang Fan <jiankang.fan@samsung.com> Fri, 19 Jun 2020 10:09:30 +0800

obs-service-git-buildpackage (0.9) unstable; urgency=low

  * add debian 

 -- Shuai Fu <shuai01.fu@samsung.com> Wed, 09 Jul 2014 10:09:30 +0800

=== tests/data/debian/changelog ===
test-package (0.1) unstable; urgency=low

  * Initial version

 -- Markus Lehtonen <marquiz@marquiz.fi.intel.com>  Mon, 22 Apr 2013 17:00:28 +0300

=== debian/control ===
Source: obs-service-git-buildpackage
Section: devel
Priority: extra
Maintainer: Jian-feng Ding <jian-feng.ding@intel.com>
Build-Depends: debhelper (>= 7.0.15), cdbs,
 dh-python,
 python3-dev,
 python3-docutils,
 python3,
 python3-setuptools,
 python3-coverage,
 python3-nose,
 python3-pip
Standards-Version: 0.9
Homepage: http://www.tizen.org

Package: obs-service-git-buildpackage
Architecture: all
Depends:  ${python3:Depends},
 rpm,
 python3-rpm,
 python3-urlgrabber,
 cpio,
 bzip2,
 git-buildpackage,
 git-buildpackage-rpm,
 gbp-repocache,
 obs-service-git-buildpackage-utils
Description: image creator for Linux distributions
  The tool createrep is used to ppfarm test

Package: obs-service-git-buildpackage-utils
Architecture: all
Depends:  ${python3:Depends},
 rpm,
 python3,
 python3-urlgrabber,
 cpio,
 bzip2,
 gbp-repocache,
Description: image creator for Linux distributions
  The tool createrep is used to ppfarm test


Package: gbp-repocache
Architecture: all
Depends:  ${python3:Depends},
Description: image creator for Linux distributions
  The tool createrep is used to ppfarm test

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	python setup.py build
	pwd
	ls
	cp config/git-buildpackage  config/obs-service-git-buildpackage.example.config
clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Installing package
	mkdir -p $(CURDIR)/debian/tmp/
	python setup.py install --skip-build --root=$(CURDIR)/debian/tmp --prefix=/usr
	rm -rf $(CURDIR)/usr/lib/python2.7/site-packages/*info
	ls -R
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_python2
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== tests/data/debian/control ===
Source: test-package
Maintainer: Markus Lehtonen <markus.lehtonen@linux.intel.com>
Standards-Version: 3.9.3

Package: test-package
Architecture: all
Description: Test package for the git-buildpackage OBS source service
 Dummy package for testing the git-buildpackage OBS source service.
